/* #### Standard Styles November 2021 #### */

@import url(//fonts.googleapis.com/css?family=Lexend);

:root {
  --background_color: rgba(102, 153, 153,1);
  --buttons_color: #163159 !important;
  --field_text_color: #163159 !important;
  --field_font_family: "Lexend", sans-serif !important;
  --field_background_color: rgba(46, 116, 181, 1) !important;
  --field_border_color: rgba(11, 102, 158, 0.3) !important;
  --form_width: 80%;
}

/* -- Standard Page level styles -- */
/* Hide title, header/footer, info, summary/attachments/communications sections */
.page-top,
.page-head,
.page-footer,
.infoSection,
.workflowRightTab {
  display: none !important;
}

/*--HIDE Select-ALL Option on Checkbox fields--*/
.form-option.checkbox-form-option.select-all-option {
  display: none !important;
}

@media only screen and (max-width: 1050px) {
  body > div.page-wrap {
    background-size: cover;
    margin: 0px !important;
    width: 100% !important;
  }
}
@media only screen and (max-height: 700px) and (min-width: 1050px) and (max-width: 1750px) {
  body > div.page-wrap {
    background-size: auto 100%;
  }
} 
@media only screen and (min-width: 1750px) {
  body > div.page-wrap {
    background-size: 100% 100%;
  }
}
@media only screen and (min-width: 640px) {
  #workflow-background-wrapper {
    box-shadow: 0 0 10px 10px rgba(0, 0, 0, 0.2) !important;
  }
}

/* center page */
body > div.page-wrap > div.page-content {
  margin: auto !important;
}

/* set form in center of screen and apply shadow */
#workflow-background-wrapper {
  border-right: none !important;
  float: none !important;
  margin: auto !important;
  overflow-x: hidden;
}

/* Hide print button */
#print-preview {
  display: none !important;
}

/* Hide breadcrums */
.section-breadcrumb-item {
  /* display: none; */
  padding: 0 10px 0 8px;
  border-top: none;
  background: none;
  border-left: none;
  border-right: none;
  border-bottom: 0px solid #fff;
  cursor: pointer;
  font-size: 0%;
}
.section-breadcrumb-item.active {
  border-bottom: 0px solid #ffffff;
  cursor: default;
}

/*   vertical-align top for all fields */
.page-content .workflowContent .formFieldWrapper {
  vertical-align: top;
}

/* Remove margin between bottom of form and bottom of page */
div.page-wrap {
  padding-bottom: 0 !important;
}

/* Add extra padding to form */
#workflow-wrapper {
  padding: 20px 0 !important;
}
div#workflow-wrapper,
div#divWorkflowContent {
  height: auto;
}
#workflow-wrapper:not(.embed):not(.registered-embed) {
  min-height: 0px;
}

/* change color of all buttons, tab-borders, etc */
.section-breadcrumb-item.active,
.form-action-button,
.form-save-button,
.form-reset-button,
.form-print-button,
.form-change-section,
.form-collaboration-stage-submit-button,
.form-submit-button,
#divWorkflowContent .buttonPopup.blue {
  background-color: var(--buttons_color) !important;
  border-color: var(--buttons_color) !important;
  font-family: var(--field_font_family) !important;
}
.section-breadcrumb-item.active {
  background-color: transparent !important;
}

/* Form width */
div#workflow-background-wrapper {
  border: 0;
  min-width: var(--form_width);
  /* margin: 50px 0 !important; */
}
/* Anonymous access remove max-width constraint and set width */
body > div.page-wrap > div {
  max-width: 2000px !important;
}
body > div.page-wrap > div > div.inner {
  margin: auto !important;
  max-width: 2000px !important;
}

/* Hide overflow */
.form-section {
  display: block;
  overflow: hidden;
  padding-left: 0px !important;
}

/* Reduce padding between submit button and bottom of form */
.form-section,
#StageSubmitForm:not(.recordForm) {
  padding-bottom: 0 !important;
}

/* -- Standard Form level styles -- */

/* Fields border, background and color */
.formFieldWrapper.text-box-wrapper input.input-text,
.form-element-wrapper.text-box input.field {
  background-color: white !important;
  border-color: var(--field_border_color) !important;
  color: var(--field_text_color) !important;
  font-family: var(--field_font_family) !important;
  font-size: 16px !important;
}


/* -- Standard Form level styles -- */

/* Fields border, background and color */
.sigWrapper {
  background-color: rgba(0,0,0,0) !important;
  border-color: var(--field_border_color) !important;
  color: var(--field_text_color) !important;
  font-family: var(--field_font_family) !important;
  font-size: 16px !important;
}

/* Field font color */
.main_heading,
.dateField,
.page-content .formFieldWrapper.text-box-wrapper input.input-text,
.formFieldWrapper input.validate-email,
.formFieldWrapper input.validate-phone,
.formFieldWrapper input.validate-ssn,
.formFieldWrapper input.validate-currency,
.form-label,
.form-label.form-label-required,
.new_html_field,
body,
.workflowContent .form-static-text,
.form-element-wrapper .form-static-text,
.form-element-wrapper .form-static-text-area,
.select2-container--bootstrap
  .select2-selection--single
  .select2-selection__rendered,
.formFieldWrapper .radio-checkbox-label,
.form-element-wrapper .radio-checkbox-label,
.formFieldWrapper.text-area-wrapper textarea.textarea-input,
.form-element-wrapper.text-area textarea.field,
.select2-container--bootstrap
  .select2-selection--multiple
  .select2-selection__choice,
.page-content
  .workflowContent
  .formFieldWrapper:not(.boolean-check-box-wrapper):not(.heading-wrapper)
  .form-label {
  color: var(--field_text_color) !important;
  font-family: var(--field_font_family) !important;
}

/* heading fields */
h3,
#form-element-wrapper_366 > div > h3 {
  color: white !important;
  font-family: var(--field_font_family) !important;
  padding-left: 5px !important;
}
/* sub-headings */
.sub-heading {
  font-family: var(--field_font_family) !important;
  font-size: 12px !important;
  padding-top: 5px;
}

/* Change border color of small box for signature fields */
.sigPad:not(.standalone) input.name {
  border: 1px solid var(--field_border_color) !important;
  color: var(--field_text_color) !important;
  margin-right: 2px;
  margin-top: 5px;
  width: 100%;
}

#tsForm-editor,
.workflowContent {
  color: var(--field_text_color) !important;
  font-family: var(--field_font_family) !important;
  font-size: 16px !important;
}

.select2-container--bootstrap .select2-selection {
  border: 1px solid var(--field_border_color) !important;
  color: var(--field_text_color) !important;
}

.k-dropzone {
  background-color: white;
}

.formFieldWrapper.text-area-wrapper textarea.textarea-input,
.form-element-wrapper.text-area textarea.field {
  background-color: white;
  border-color: var(--field_border_color) !important;
}
html, body {
    background: #669999 !important;
}

/* -- field specific styles -- */
.form-label,
.formFieldWrapper.text-area-wrapper textarea.textarea-input,
.form-element-wrapper.text-area textarea.field,
.select2-container--bootstrap .select2-selection {
  font-family: var(--field_font_family) !important;
}

input[type="text"],
input[type="password"],
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="month"],
input[type="week"],
input[type="email"],
input[type="number"],
input[type="search"]:not(.select2-search__field),
input[type="tel"],
input[type="time"],
input[type="url"],
textarea,
select {
  background-color: white;
  border: 1px solid var(--field_border_color) !important;
  color: var(--field_text_color) !important;
  font-family: var(--field_font_family) !important;
  font-size: 16px !important;
}

/* Headings */
.new_html_field,
.recordForm .formFieldWrapper.heading-wrapper h3,
.workflowContent .formFieldWrapper.heading-wrapper h3,
.form-element-wrapper[data-type="heading"]
  .heading-label-wrapper
  .editable-text,
.form-element-wrapper[data-type="heading"] .heading-label-wrapper input,
.page-content .workflowContent .formFieldWrapper.heading-wrapper h3 {
  color: var(--field_background_color) !important;
  border-color: var(--field_background_color) !important;
}

/* drop-down font-size */
.select2-selection__rendered,
.select2-results__option {
  font-size: 16px !important;
}

/* add padding under Buttons */
.form-section-buttons {
  padding: 25px 0px 25px 0px;
}

.rc-anchor-light.rc-anchor-normal {
  border: 1px solid var(--field_border_color) !important;
}

/* SSNS fields */
.withQTip.toCheck.input-text.textfield.validate-ssn {
  background-color: transparent !important;
  color: transparent !important;
  border: 0px !important;
}
.validate-ssn,
.validate-ssn:focus {
  color: transparent !important;
  font-family: var(--field_font_family) !important;
  font-size: 16px !important;
}
.validate-ssn:mask,
.validate-ssn:select {
  font-family: var(--field_font_family) !important;
  font-size: 16px !important;
  color: var(--field_text_color) !important;
}

.truncateWithEllipsis {
  margin-top: 2px !important;
}

/* Mobile Styles applied to anything narrower than 768 */
@media only screen and (max-width: 768px) {
  .page-wrap {
    width: 100vw;
  }
  /* Hiding hovertips */
  .qtip {
    display: none !important;
  }
  /* Remove padding from "container" form */
  #StageSubmitForm {
    padding: 0px !important;
  }
  /* All input font size */
  input,
  select:focus,
  textarea {
    font-size: 16px !important;
  }
  /* Help Popups */
  .k-widget.k-window {
    left: 10px !important;
    width: 90vw !important;
  }
  #contentWorkbench {
    width: 100%;
  }
  body > div.page-wrap {
    width: 95vw;
  }
  /* Hide print button */
  #print-preview {
    display: none !important;
  }
  /* Reduce right padding to 0. Change label font size to 11. */
  .workflowContent .formFieldWrapper,
  #ts-form-editor-wrapper .form-element-wrapper {
    font-size: 14px !important;
    padding: 15px 10px 7px 10px; 
  }
  /* Change size of Submit & Save buttons */
  .page-content .formFieldWrapper.submit-button-wrapper > div > input,
  .page-content .formFieldWrapper.action-button-wrapper > div > input,
  .page-content .form-section-buttons button,
  .page-content .form-section-buttons input,
  .form-collaboration-stage-submit-button,
  #divWorkflowContent .buttonPopup.blue {
    font-size: 16px !important;
  }
}

/* -- field specific styles -- */

/*Hide validation field text area and field label*/
#form-element-wrapper_16.formFieldWrapper.text-box-wrapper input.input-text {
    display: none !important;
}

/*Increase required field and validation text font size*/
.workflowContent .formFieldWrapper .required-text {
    position: absolute;
    margin-top: 4px;
    font-size: 14px !important;
}



@media screen and (max-width: 768px) {
#form-element-wrapper_706,
#form-element-wrapper_716,
#form-element-wrapper_707,
#form-element-wrapper_717 {
        max-width: 100% !important;
        min-width: 100% !important;
        width: 100% !important;
        margin-top: 20px;
    }

